Delete an Agent Pattern in a Project
delete
/ic/api/integration/v1/projects/{projectId}/ai/patterns/{id}
Deletes the specified Agent Pattern.
Request
Path Parameters
-
id(required): string
Agent Pattern identifier
-
projectId(required): string
Project identifier
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful operation
500 Response
Server error
Examples
The following example shows how to delete an agent pattern by submitting a DELETE request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Delete agent pattern ORDER_PROCESSING_PATTERN
his command deletes the specified Agent Pattern from the project.
The id is in the form: code%7Cversion. The %7C is the encoded | (vertical line).
curl -X DELETE -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/patterns/ORDER_PROCESSING_PATTERN%7C01.00.0000?integrationInstance=service-instance